export declare const alignItems: {
    readonly start: "flex-start";
    readonly center: "center";
    readonly end: "flex-end";
    readonly baseline: "baseline";
    readonly strecth: "strecth";
};
export declare const display: {
    readonly none: "none";
    readonly block: "block";
    readonly inline: "inline";
    readonly 'inline-block': "inline-block";
    readonly flex: "flex";
    readonly 'inline-flex': "inline-flex";
    readonly grid: "grid";
    readonly 'inline-grid': "inline-grid";
};
export declare const flexDirection: {
    readonly row: "row";
    readonly "row-reverse": "row-reverse";
    readonly column: "column";
    readonly "column-reverse": "column-reverse";
};
export declare const flexWrap: {
    readonly wrap: "wrap";
    readonly nowrap: "nowrap";
};
export declare const justifyContent: {
    readonly start: "flex-start";
    readonly center: "center";
    readonly end: "flex-end";
    readonly between: "space-between";
    readonly around: "space-around";
    readonly evenly: "space-evenly";
};
export declare const radius: {
    readonly none: "0px";
    readonly xs: "4px";
    readonly s: "8px";
    readonly m: "12px";
    readonly l: "16px";
    readonly rounded: "9999999px";
    readonly full: "9999999px";
    readonly field: "6px";
    readonly card: "12px";
};
export declare const space: {
    readonly xxs: "2px";
    readonly xs: "4px";
    readonly s: "8px";
    readonly sm: "12px";
    readonly m: "16px";
    readonly ml: "24px";
    readonly l: "32px";
    readonly xl: "48px";
    readonly xxl: "64px";
    readonly xxxl: "96px";
    readonly huge: "128px";
    readonly extra: "144px";
    readonly field: "20px";
};
export declare const textSizes: {
    readonly xs: "0.75rem";
    readonly s: "0.875rem";
    readonly m: "1rem";
    readonly l: "1.125rem";
    readonly xl: "1.25rem";
    readonly xxl: "1.5rem";
};
export declare const textLineHeight: {
    readonly xs: "0.75rem";
    readonly s: "0.875rem";
    readonly m: "1rem";
    readonly l: "1.125rem";
    readonly xl: "1.25rem";
    readonly xxl: "1.5rem";
};
export declare const zIndex: {
    readonly behind: "-9";
    readonly reset: "auto";
    readonly "0": "0";
    readonly "1": "1";
    readonly "2": "2";
    readonly "3": "3";
    readonly s: "1";
    readonly m: "2";
    readonly l: "3";
    readonly dropdownBackdrop: "90";
    readonly dropdown: "100";
    readonly sticky: "200";
    readonly modalBackdrop: "290";
    readonly modal: "300";
    readonly notification: "400";
    readonly navbar: "999999999";
    readonly top: "9999999999";
};
export declare const unresponsiveProperties: {
    readonly overflow: readonly ["hidden", "scroll", "visible", "auto"];
    readonly userSelect: readonly ["none"];
    readonly outline: readonly ["none"];
    readonly opacity: readonly [0];
    readonly zIndex: {
        readonly behind: "-9";
        readonly reset: "auto";
        readonly "0": "0";
        readonly "1": "1";
        readonly "2": "2";
        readonly "3": "3";
        readonly s: "1";
        readonly m: "2";
        readonly l: "3";
        readonly dropdownBackdrop: "90";
        readonly dropdown: "100";
        readonly sticky: "200";
        readonly modalBackdrop: "290";
        readonly modal: "300";
        readonly notification: "400";
        readonly navbar: "999999999";
        readonly top: "9999999999";
    };
    readonly cursor: readonly ["default", "pointer"];
    readonly pointerEvents: readonly ["none"];
    readonly top: readonly [0];
    readonly bottom: readonly [0];
    readonly left: readonly [0];
    readonly right: readonly [0];
    readonly minWidth: {
        readonly 0: "0%";
    };
};
export type UnresponsiveProperties = keyof typeof unresponsiveProperties;
export declare const colorProperties: {};
export type ColorProperties = keyof typeof colorProperties;
export declare const responsiveProperties: {
    readonly display: {
        readonly none: "none";
        readonly block: "block";
        readonly inline: "inline";
        readonly 'inline-block': "inline-block";
        readonly flex: "flex";
        readonly 'inline-flex': "inline-flex";
        readonly grid: "grid";
        readonly 'inline-grid': "inline-grid";
    };
    readonly position: readonly ["relative", "absolute", "fixed"];
    readonly columnGap: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly rowGap: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly borderRadius: {
        readonly none: "0px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly m: "12px";
        readonly l: "16px";
        readonly rounded: "9999999px";
        readonly full: "9999999px";
        readonly field: "6px";
        readonly card: "12px";
    };
    readonly paddingBlock: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly paddingInline: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly paddingTop: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly paddingBottom: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly paddingRight: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly paddingLeft: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly marginBlock: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly marginInline: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly marginTop: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly marginBottom: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly marginRight: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly marginLeft: {
        readonly xxs: "2px";
        readonly xs: "4px";
        readonly s: "8px";
        readonly sm: "12px";
        readonly m: "16px";
        readonly ml: "24px";
        readonly l: "32px";
        readonly xl: "48px";
        readonly xxl: "64px";
        readonly xxxl: "96px";
        readonly huge: "128px";
        readonly extra: "144px";
        readonly field: "20px";
    };
    readonly alignItems: {
        readonly start: "flex-start";
        readonly center: "center";
        readonly end: "flex-end";
        readonly baseline: "baseline";
        readonly strecth: "strecth";
    };
    readonly justifyContent: {
        readonly start: "flex-start";
        readonly center: "center";
        readonly end: "flex-end";
        readonly between: "space-between";
        readonly around: "space-around";
        readonly evenly: "space-evenly";
    };
    readonly flexDirection: {
        readonly row: "row";
        readonly "row-reverse": "row-reverse";
        readonly column: "column";
        readonly "column-reverse": "column-reverse";
    };
    readonly flexWrap: {
        readonly wrap: "wrap";
        readonly nowrap: "nowrap";
    };
    readonly flexShrink: readonly [0];
    readonly flexGrow: readonly [0, 1];
    readonly textAlign: readonly ["left", "center", "right"];
};
export type ResponsiveProperties = keyof typeof responsiveProperties;
